package com.ruoyi.project.training.newstaff.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.newstaff.mapper.TTnSchoolplanMapper;
import com.ruoyi.project.training.newstaff.domain.TTnSchoolplan;
import com.ruoyi.project.training.newstaff.service.ITTnSchoolplanService;

/**
 * 校招培训Service业务层处理
 *
 * @author ruoyi
 * @date 2023-07-05
 */
@Service
public class TTnSchoolplanServiceImpl implements ITTnSchoolplanService
{
    @Autowired
    private TTnSchoolplanMapper tTnSchoolplanMapper;

    /**
     * 查询校招培训
     *
     * @param id 校招培训ID
     * @return 校招培训
     */
    @Override
    public TTnSchoolplan selectTTnSchoolplanById(Long id)
    {
        return tTnSchoolplanMapper.selectTTnSchoolplanById(id);
    }

    /**
     * 查询校招培训列表
     *
     * @param tTnSchoolplan 校招培训
     * @return 校招培训
     */
    @Override
    public List<TTnSchoolplan> selectTTnSchoolplanList(TTnSchoolplan tTnSchoolplan)
    {
        return tTnSchoolplanMapper.selectTTnSchoolplanList(tTnSchoolplan);
    }

    /**
     * 新增校招培训
     *
     * @param tTnSchoolplan 校招培训
     * @return 结果
     */
    @Override
    public int insertTTnSchoolplan(TTnSchoolplan tTnSchoolplan)
    {
        return tTnSchoolplanMapper.insertTTnSchoolplan(tTnSchoolplan);
    }

    /**
     * 修改校招培训
     *
     * @param tTnSchoolplan 校招培训
     * @return 结果
     */
    @Override
    public int updateTTnSchoolplan(TTnSchoolplan tTnSchoolplan)
    {
        return tTnSchoolplanMapper.updateTTnSchoolplan(tTnSchoolplan);
    }

    /**
     * 批量删除校招培训
     *
     * @param ids 需要删除的校招培训ID
     * @return 结果
     */
    @Override
    public int deleteTTnSchoolplanByIds(Long[] ids)
    {
        return tTnSchoolplanMapper.deleteTTnSchoolplanByIds(ids);
    }

    /**
     * 删除校招培训信息
     *
     * @param id 校招培训ID
     * @return 结果
     */
    @Override
    public int deleteTTnSchoolplanById(Long id)
    {
        return tTnSchoolplanMapper.deleteTTnSchoolplanById(id);
    }

    @Override
    public int batchStatusByIds(Long[] ids) {
        return tTnSchoolplanMapper.batchStatusByIds(ids);
    }
}
